import { PageParams, PageResult } from "./common";

export interface SubjectItem {
  code: string;
  name: string;
}

export interface ExamItem {
  id: number;
  name: string;
  mode: string;
  enable: boolean;
  updateTime: number;
}

export type ExamListParams = PageParams<{ enable: boolean }>;
export type ExamListResult = PageResult<ExamItem>;

export interface UploadSheetParams {
  paperId: number;
  pageIndex: number;
  file: File;
  md5: string;
}
export interface UploadSliceParams extends UploadSheetParams {
  index: number;
}

export interface UploadFileResult {
  uri: string;
  updateTime: number;
}

// base config
export interface ConfigInfo {
  examId: number;
  paperTypeBarcodeContent: string[];
  imageCheckRatio: string | number;
  imageCheckOrder: string;
  enableSyncVerify: boolean;
  scannerAssignedMaxCount: string | number;
  scannerAssignedVerifyPassword: string;
}
